Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.artifacts.component
[Java] Interface ProjectComponentIdentifier

    org.gradle.api.artifacts.component.ComponentIdentifier
      org.gradle.api.artifacts.component.ProjectComponentIdentifier

All Superinterfaces:
  ComponentIdentifier

    @Incubating
    public interface ProjectComponentIdentifier
    extends ComponentIdentifier

An identifier for a component instance that is built as part of the current build.

Since:
  1.10

Method Summary
`String` | `getProjectPath()` Returns the path of the project which the component belongs to.

Methods inherited from interface ComponentIdentifier
getDisplayName

Method Detail

### getProjectPath

    public String getProjectPath()

  Returns the path of the project which the component belongs to.
  Since:
    1.10

Gradle API 1.10